# Welcome to SPECTRALib!

SPECTRALib is a 100% python library with minimal dependencies (`numpy` and `matplotlib`) for handling filterbank files and generating synthetic transients such as pulsars and FRBs, mixed with RFI and other effects.

SPECTRALib stands for Synthetic Pulsar Emission, Contamination and Transients Radio Astronomy Library.

### Feel free to use the code however you wish:
 - You can `import spectralib` and use the functions in your code
 - You can modify the **example scripts** to generate files that fit your requirement
 - The functions should be modular enough to **copy and paste** into your own code

### Citation
If you use SPECTRALib to contribute to a publication, please cite:
___Paper that you can cite___

# Installation

`pip install spectralib`

# Usage
Once you have installed SPECTRALib with `pip install spectralib`, please test the installation with the built-in tests:

Now you have confirmed the installation is functional, run the example scripts:

# Examples
![Animation showing RFI creation process](/images/rfi.gif)